Skip to main content
PATCH
/
event
/
{id}
Update an event
curl --request PATCH \
  --url https://demo.enneo.ai/api/mind/event/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "success": true,
  "event": {
    "id": 123,
    "user": {
      "id": 123,
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "phone": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "activity": "<string>",
    "details": [
      {
        "label": "<string>",
        "value": "<string>",
        "type": "<string>",
        "url": "<string>"
      }
    ],
    "tabs": [
      {
        "key": "<string>",
        "label": "<string>"
      }
    ],
    "eventTraces": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT-based authentication

Path Parameters

id
integer
required

Body

application/json

Partial event to merge.

Response

Updated

success
boolean
Example:

true

event
object